input ProductReviewInput {
    extended_rating_data: ExtendedRatingData
}

input ExtendedRatingData {
    comfort_value: ComfortValueEnum,
    size_value: SizeValueEnum,
    quality_value: QualityValueEnum,
    recommended_value: RecommendedValueEnum
}

enum ComfortValueEnum {
    NOT_COMFORTABLE,
    COMFORTABLE,
    VERY_COMFORTABLE
}

enum SizeValueEnum {
    SIZE_TOO_SMALL,
    SIZE_OK,
    SIZE_TOO_LARGE
}

enum QualityValueEnum {
    QUALITY_LOW,
    QUALITY_OK,
    QUALITY_HIGH
}

enum AllOptions {
    NOT_COMFORTABLE,
    COMFORTABLE,
    VERY_COMFORTABLE,
    SIZE_TOO_SMALL,
    SIZE_OK,
    SIZE_TOO_LARGE,
    QUALITY_LOW,
    QUALITY_OK,
    QUALITY_HIGH,
    RECOMMENDED,
    NOT_RECOMMENDED
}

enum RecommendedValueEnum {
    RECOMMENDED,
    NOT_RECOMMENDED
}

type ReviewItem {
    extended_rating: ExtendedRatingItem @resolver(class: "Xcoding\\ReviewsGraphQlExtended\\Model\\Resolver\\ExtendedRating")
}

type ExtendedRatingItem {
    comfort_value: ComfortValueEnum,
    size_value: SizeValueEnum,
    quality_value: QualityValueEnum,
    recommended_value: RecommendedValueEnum
}

type ExtendedRaingSummaryItem {
    product_id: Int,
    code: String,
    value_count: Int,
    value: AllOptions
}

type ProductReviewSummary {
    extended_rating_summary: [ExtendedRaingSummaryItem]
}

interface ProductInterface {
    review_summary: ProductReviewSummary @doc(description: "Object containing product review summary data") @resolver(class:"Xcoding\\ReviewsGraphQlExtended\\Model\\Resolver\\ExtendedRatingSummary")
}